Plugin fails to start on Ubuntu 8.04

Help
Masyas
2010-05-13
2013-04-24
  • Masyas
    Masyas
    2010-05-13

    Hello, I'm using: LaTeXPlugin-0.2.tar.gz version.

    I  get the following error:

    /home/user/.gnome2/gedit/plugins/GeditLaTeXPlugin/src/base/job.py", line 28, in <module>
        import multiprocessing
    ImportError: No module named multiprocessing

    ** (gedit:10595): WARNING **: Cannot load Python plugin 'LaTeX Plugin 0.2' since file 'GeditLaTeXPlugin' cannot be read.

    ** (gedit:10595): WARNING **: Error activating plugin 'LaTeX Plugin 0.2'

    If I comment out the line


    import multiprocessing

    in file: GeditLaTeXPlugin/src/base/job.py

    It starts, dont yet know if everything works… Any ideas? Thank you.

     
  • Masyas
    Masyas
    2010-05-13

    python 2.5 on this verison of ubuntu. The easy fix is to get the 2.6 library backported: http://pypi.python.org/pypi/multiprocessing/